%define	name	dnstop
%define version 20060424
%define release %mkrel 1

Summary:	This displays various tables of DNS traffic on your network
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		Monitoring
URL:		http://dnstop.measurement-factory.com/
Source0:	%{name}-%{version}.tar.bz2
BuildRequires:	libpcap-devel >= 0.7
BuildRequires:	ncurses-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
dnstop is a libpcap application (ala tcpdump) that displays
various tables of DNS traffic on your network, including tables
of source and destination IP addresses, query types, top level
domains and second level domains. 

%prep

%setup -q -n %{name}-%{version}

%build
%make CFLAGS="%{optflags}"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_mandir}/man8
install -m755 dnstop %{buildroot}%{_sbindir}/
install -m644 dnstop.8 %{buildroot}%{_mandir}/man8/
						
%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE
%attr(0755,root,root) %{_sbindir}/dnstop
%attr(0644,root,root) %{_mandir}/man8/dnstop.8*


%changelog
* Fri Dec 22 2006 Oden Eriksson <oeriksson@mandriva.com> 20060424-1mdv2007.0
+ Revision: 101654
- Import dnstop



* Tue May 16 2006 Emmanuel Andry <eandry@mandriva.org> 20060424-1mdk
- 20060424
- mkrel

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 20040309-3mdk
- rebuilt against new libpcap-0.9.1 (aka. a "play safe" rebuild)

* Fri Jun 03 2005 Oden Eriksson <oeriksson@mandriva.com> 20040309-2mdk
- rebuild

* Sun May 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 20040309-1mdk
- 20040309
- fix deps

* Fri Apr 25 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 20030228-2mdk
- fix buildrequires, thanks to Stefan van der Eijks robot

* Wed Mar 26 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 20030228-1mdk
- initial cooker contrib
